.\"	$NetBSD: newdisk.8,v 1.7 2003/07/26 20:17:39 salo Exp $
.\"
.\" Copyright (c) 1998 MINOURA Makoto.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"    This product includes software developed by Minoura Makoto.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 24, 1999
.Dt NEWDISK 8 x68k
.Os
.Sh NAME
.Nm newdisk
.Nd "Prepare a new disk to be usable for X680x0"
.Sh SYNOPSIS
.Nm
.Op Fl vnfcp
.Op Fl m Ar mboot
.Ar raw_device
.Sh DESCRIPTION
.Nm
prepares a new hard disk to be bootable from by X680x0.  It should NOT be used
for floppy disks.
.Pp
It creates a disk mark for IOCS to determine the disk geometry,
writes the primary boot program (mboot), and creates empty partition table.
The option are as follows:
.Bl -tag -width flag
.It Fl v
Verbose mode.
.It Fl n
Dryrun mode.  Nothing is written to the disk.
.It Fl f
Force.  Usually, when
.Nm
detects existing disk mark, it aborts with some error messages.
.Fl f
option prevents this behaviour.
.It Fl c
Check only.
.Nm
looks at the disk whether it is already marked.
.It Fl p
Do not create the partition table.
.It Fl m Ar mboot
Specifies the mboot program to be written.
.El
.Sh FILES
.Bl -tag -width /usr/mdec/mboot -compact
.It Pa /usr/mdec/mboot
The default primary boot program.
.El
.Sh SEE ALSO
.Xr boot 8 ,
.Xr installboot 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Nx 1.5 .
.Sh AUTHORS
.Nm
was written by
.An MINOURA Makoto Aq minoura@NetBSD.org .
